TelepathyQt4: Tp::FileTransferChannelCreationProperties Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::FileTransferChannelCreationProperties Class Reference

`#include <TelepathyQt4/file-transfer-channel-creation-properties.h>`

List of all members.

## Public Member Functions

- FileTransferChannelCreationProperties (const QString &suggestedFileName, const QString &contentType, qulonglong size)
- FileTransferChannelCreationProperties (const FileTransferChannelCreationProperties &other)
- ~FileTransferChannelCreationProperties ()
- FileTransferChannelCreationProperties & operator= (const FileTransferChannelCreationProperties &other)
- bool operator== (const FileTransferChannelCreationProperties &other) const
- bool operator!= (const FileTransferChannelCreationProperties &other) const
- FileTransferChannelCreationProperties & setContentHash (FileHashType contentHashType, const QString &contentHash)
- FileTransferChannelCreationProperties & setDescription (const QString &description)
- FileTransferChannelCreationProperties & setLastModificationTime (const QDateTime &lastModificationTime)

## Constructor & Destructor Documentation

Tp::FileTransferChannelCreationProperties::FileTransferChannelCreationProperties | ( | const QString & | suggestedFileName,
|  | const QString & | contentType,
|  | qulonglong | size |
| ) |  |  |

Tp::FileTransferChannelCreationProperties::FileTransferChannelCreationProperties | ( | const FileTransferChannelCreationProperties & | other | ) |

Tp::FileTransferChannelCreationProperties::~FileTransferChannelCreationProperties | ( |  | ) |

## Member Function Documentation

FileTransferChannelCreationProperties & Tp::FileTransferChannelCreationProperties::operator= | ( | const FileTransferChannelCreationProperties & | other | ) |

bool Tp::FileTransferChannelCreationProperties::operator== | ( | const FileTransferChannelCreationProperties & | other | ) | const

bool Tp::FileTransferChannelCreationProperties::operator!= | ( | const FileTransferChannelCreationProperties & | other | ) | const`[inline]`

FileTransferChannelCreationProperties & Tp::FileTransferChannelCreationProperties::setContentHash | ( | FileHashType | contentHashType,
|  | const QString & | contentHash |
| ) |  |  |

FileTransferChannelCreationProperties & Tp::FileTransferChannelCreationProperties::setDescription | ( | const QString & | description | ) |

FileTransferChannelCreationProperties & Tp::FileTransferChannelCreationProperties::setLastModificationTime | ( | const QDateTime & | lastModificationTime | ) |